lefang的个人博客分享 http://blog.sciencenet.cn/u/lefang 湍流,计算流体力学

博文

Archlinux下Firefox 4.0与scim不兼容的解决方案

已有 5587 次阅读 2011-3-23 21:17 |个人分类:GNU Linux|系统分类:科研笔记

今天Archlinux的Firefox升级到了4.0,发现升级后scim用不了了。症状参见这个帖子:
http://www.linuxsir.org/bbs/lastpostinthread374541.html
多亏了万能的AUR,在这里找到了解决方案:
http://aur.archlinux.org/packages.php?ID=20294
具体做法是:
1) 安装scim-bridge
2) 管理员身份运行
gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules
3) 编辑/etc/gtk-2.0/gtk.immodules,去掉里面scim的部分,留下scim-bridge的部分
4) 修改.xinitrc,把scim的部分换成scim-bridge,比如我的是
export XMODIFIERS=@im=SCIM
export GTK_IM_MODULE="scim-bridge"
export QT_IM_MODULE="scim-bridge"
scim-bridge -d &
5) 重启X即可


https://wap.sciencenet.cn/blog-423882-425609.html

上一篇:bash_completion自动补全目录的问题
下一篇:“70码”的数值模拟

1 黄富强

发表评论 评论 (0 个评论)

数据加载中...

Archiver|手机版|科学网 ( 京ICP备07017567号-12 )

GMT+8, 2021-5-16 05:34

Powered by ScienceNet.cn

Copyright © 2007- 中国科学报社

返回顶部